# Uses of Enum
org.jsoup.Connection.Method

Packages that use Connection.Method
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.

## Uses of Connection.Method in org.jsoup

Methods in org.jsoup that return Connection.Method
Modifier and Type
Method
Description
`Connection.Method`
Connection.Base.`method()`
Get the request method, which defaults to `GET`
`static Connection.Method`
Connection.Method.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Connection.Method[]`
Connection.Method.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jsoup with parameters of type Connection.Method
Modifier and Type
Method
Description
`T`
Connection.Base.`method(Connection.Method method)`
Set the request method
`Connection`
Connection.`method(Connection.Method method)`
Set the request method to use, GET or POST.

## Uses of Connection.Method in org.jsoup.helper

Methods in org.jsoup.helper with parameters of type Connection.Method
Modifier and Type
Method
Description
`Connection`
HttpConnection.`method(Connection.Method method)`